﻿using Microsoft.Extensions.Configuration;

namespace FtpAgent
{
    public class Config
    {
        public string CustomerName { get; set; }
        public string DeviceNo { get; set; }
        public int OcrType { get; set; }
        public string OrderNo { get; set; }
        public int OrderType { get; set; }
        public int PhotoMode { get; set; }
        public string Secret { get; set; }
        public string TenantId { get; set; }
        public string OcrServerUrl { get; set; }
        public string OcrApiUrl { get; set; }
        public string Ip { get; set; }
        public int Port { get; set; }
        public string  Dir{ get; set; }
        public bool  Upload{ get; set; }
        public bool Anonymous { get; private set; }

        public Config(string filePath)
        {
            var builder = new ConfigurationBuilder()
                .SetBasePath(Directory.GetCurrentDirectory())
            .AddIniFile(filePath);
            IConfiguration config = builder.Build();
            CustomerName = config["OCR:customerName"];
            DeviceNo = config["OCR:deviceNo"];
            OcrType = int.Parse(config["OCR:ocrType"]);
            OrderNo = config["OCR:orderNo"];
            OrderType = int.Parse( config["OCR:orderType"]);
            PhotoMode = int.Parse( config["OCR:photoMode"]);
            Secret = config["OCR:secret"];
            TenantId = config["OCR:tenantId"];
            OcrServerUrl = config["OCR:OCR_SERVER_URL"];
            OcrApiUrl = config["OCR:OCR_API_URL"];
            Ip = config["OCR:Ip"];
            Port = int.Parse(config["OCR:Port"]);
            Dir = config["OCR:DIR"];
            Upload = bool.Parse(config["OCR:Upload"]);
            Anonymous = bool.Parse(config["OCR:Anonymous"]);
        }
    }
}
