﻿using CSharpFunctionalExtensions;
using Rougamo;
using Rougamo.Context;
using Serilog;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FtpAgent
{
    [System.AttributeUsage(AttributeTargets.Method | AttributeTargets.Property, Inherited = false, AllowMultiple = true)]
    public class ErrorHandlerAttribute<T> : MoAttribute
    {
        public ErrorHandlerAttribute(string msg)
        {
            Msg = msg;
        }

        public string Msg { get; }

        public override void OnException(MethodContext context)
        {
            Log.Error(context.Exception, Msg);
            context.HandledException(this, returnValue:Result.Failure<T, ApiServerError>( new ApiServerError()
            {
                Code = 600,
                Msg = $"{Msg} 程序错误:{context?.Exception?.Message}"
            }));
        }
    }
}
