﻿using Serilog;
using Serilog.Formatting.Compact;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaptureAgent
{
    public static class Logging
    {
        public static void InitLogging()
        {
            Log.Logger = new LoggerConfiguration()
               .MinimumLevel.Debug()
               .Enrich.FromLogContext()
               .WriteTo.File(
                       path: "log/log-.log",
                       rollingInterval: RollingInterval.Day,
                       fileSizeLimitBytes: 1_000_000,
                       rollOnFileSizeLimit: true,
                       outputTemplate: "[{Timestamp:HH:mm:ss.fff}] [{Level}] {Message:lj}{NewLine} {Exception}")
                .WriteTo.Trace(outputTemplate: "[{Timestamp:HH:mm:ss.fff}]  [{Level}] {Message:lj}{NewLine} {Exception}")
                .WriteTo.Console( outputTemplate: "[{Timestamp:HH:mm:ss.fff}]  [{Level}] {Message:lj}{NewLine} {Exception}")
                .CreateLogger();
            Serilog.Debugging.SelfLog.Enable(Console.Error);
        }
    }
}
