﻿using CSharpFunctionalExtensions;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace FtpAgent
{
    public static class MultipartFormDataContentEx
    {
        public static void AddFile(this MultipartFormDataContent @this, string fileName )
        {
            @this.Headers.Add("ContentType", "multipart/form-data");
            var ocrFileStream = new FileStream(fileName, FileMode.Open, FileAccess.Read, FileShare.ReadWrite);
            Byte[] bytes = new Byte[ocrFileStream.Length];
            ocrFileStream.Read(bytes, 0, bytes.Length);
            ocrFileStream.Close();
            ByteArrayContent contents = new ByteArrayContent(bytes);
            contents.Headers.ContentType = new MediaTypeHeaderValue("image/jpg");
            @this.Add(contents, "ocrFile", Path.GetFileName(fileName));
        }
        public static void AddJson(this MultipartFormDataContent @this, object obj)
        {
            string jsondata = JsonConvert.SerializeObject(obj, Formatting.None, new JsonSerializerSettings()
            { NullValueHandling = NullValueHandling.Ignore });

            Dictionary<string, string> jsondic = JsonConvert.DeserializeObject<Dictionary<string, string>>(jsondata);
            foreach (var keyValuePair in jsondic)
            {
                @this.Add(new StringContent(keyValuePair.Value, Encoding.UTF8, "text/plain"), keyValuePair.Key);
            }
        }

    }
}
