﻿// See https://aka.ms/new-console-template for more information


using Newtonsoft.Json;

public class OcrRequest
{
    /// <summary>
    /// 客户名称
    /// </summary>
    public string customerName { get; set; } = "无境创新";

    /// <summary>
    /// 设备号
    /// </summary>
    public string deviceNo { get; set; } = "CS";

    /// <summary>
    /// 识别图片，类型body
    /// </summary>
    [JsonIgnore]
    public string ocrFile { get; set; }

    public OcrRequest(string ocrFile)
    {
        this.ocrFile = ocrFile;
        uniqueNo = Guid.NewGuid().ToString();
        
    }

    /// <summary>
    /// 识别类型：1-脊柱、2-创伤、3-棒版、4-合格证照片
    /// </summary>
    public Int32 ocrType { get; set; } = 4;

    /// <summary>
    /// 订单号
    /// </summary>
    public string orderNo { get; set; } = "1";

    /// <summary>
    /// 订单类型：1-收货、2-换货
    /// </summary>
    public Int32 orderType { get; set; } = 1;

    /// <summary>
    /// 拍照模式：1=拍照；2=重拍；3=连拍
    /// </summary>
    public Int32 photoMode { get; set; } = 1;

    /// <summary>
    ///  秘钥；固定值
    /// </summary>
    public string secret { get; set; } = "knz2r23rdhnbnhc7zr9b9ux7evkvzvdm";

    /// <summary>
    /// 租户ID
    /// </summary>
    public string tenantId { get; set; } = "1";

    /// <summary>
    /// 拍照唯一键
    /// </summary>
    public string uniqueNo { get; set; }
}