﻿// See https://aka.ms/new-console-template for more information

namespace FtpAgent
{

    public record Respond<T> where T : class
    {
        public Respond(int code, string msg, T data)
        {
            this.code = code;
            this.msg = msg;
            this.data = data;
        }

        /// <summary>
        /// 状态码
        /// </summary>
        public int code { get; set; }

        /// <summary>
        /// 错误信息
        /// </summary>
        public string msg { get; set; }

        /// <summary>
        ///  成功状态
        /// </summary>
        public bool success { get; set; }

        /// <summary>
        /// OCR识别结果
        /// </summary>
        public T data { get; set; }
        /// <summary>
        /// 异常信息
        /// </summary>
        public string? detail { get; set; }
    }
}